Subject: Re: Combined diff format: Show all filenames by default?

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 May 2024 12:42:57 -0700

Kang-Che Sung <[email-masked]> writes:

>> As the format HAS ALREADY lasted for a long time since its
>> introduction in d8f4790e (diff-tree --cc: denser combined diff
>> output for a merge commit., 2006-01-24), it is too late to change
>> the default.
>
> I wonder what things would break if we change the default behavior of this?

Human users who rarely if ever rename files will start complaining
for wasted vertical screen real estates taken by the extra lines.

Nothing is broken, and you are proposing to break things.  Be more
gentle to existing users; "what would break if we change?" is an
absolutely wrong attitude to approach this.

> Well, I won't expect the default to be changed for uses in scripts or
> GUI frontends. I wish to change the default for interactive, terminal
> uses, so that usability comes in "out of the box".

How would a script that is running by interactive users whose
standard input and output streams are connected to a terminal adjust
to sudden change of the default?  The "git" invocation in such an
environment would not be able to tell if you typed it or if you
typed the name of the script.